Opened 17 years ago

Closed 17 years ago

Last modified 14 years ago

#228 closed defect (invalid)

Error: Invalid midi driver selected!

Reported by: SF/meeuw Owned by:
Priority: low Component: Engine: AGOS
Keywords: Cc:
Game: Simon the Sorcerer 1

Description

If I do:
scummvm -etimidity

i get the error:
Error: Invalid midi driver selected!

At simon the sorcherer.

MD_TIMIDITY seems not to be handled in GameDetector::parseMusicDriver

Ticket imported from: #552881. Ticket imported from: bugs/228.

Change History (9)

comment:1 Changed 17 years ago by SF/meeuw

Priority: normallow

comment:2 Changed 17 years ago by SF/ender

Timidity is no longer an option for ScummVM, due to the
inherent problems with timidity itself. Install ALSA and
see if you can get Sequencer support for your soundcard, is
all we can recommend.

If you are using the unofficial Timidity patch from the
patch tracker, your on your own. :)

comment:3 Changed 17 years ago by SF/ender

Owner: set to SF/ender
Resolution: invalid
Status: newclosed

comment:4 Changed 17 years ago by SF/meeuw

Sorry for reopening this bugreport
Shouldn't {"timidity",MD_TIMIDITY} be removed from the
struct MusicDrivers, music_drivers at (/near?) row number 313?

comment:5 Changed 17 years ago by SF/meeuw

Status: closednew

comment:6 Changed 17 years ago by SF/ender

Status: newclosed

comment:7 Changed 17 years ago by SF/ender

Whoops, good point :)

Just removed it - thanks.

comment:8 Changed 17 years ago by Kirben

Component: Engine: AGOS
Game: Simon the Sorcerer 1
Owner: SF/ender deleted
Status: closednew

comment:9 Changed 17 years ago by Kirben

Component: Engine: AGOS
Game: Simon the Sorcerer 1
Status: newclosed
Note: See TracTickets for help on using tickets.